https://kotlinlang.org logo
#android
Title
# android
n

nick

10/30/2018, 8:33 PM
Is anyone else having trouble with android data-bindings with kotlin 1.3? I’m getting the following compile error:
Copy code
* What went wrong:
Could not resolve all files for configuration ':myProject:debugAnnotationProcessorClasspath'.
> Could not find org.jetbrains.kotlin:kotlin-stdlib-jre8:1.3.0.
  Searched in the following locations:
    - <https://dl.google.com/dl/android/maven2/org/jetbrains/kotlin/kotlin-stdlib-jre8/1.3.0/kotlin-stdlib-jre8-1.3.0.pom>
    - <https://dl.google.com/dl/android/maven2/org/jetbrains/kotlin/kotlin-stdlib-jre8/1.3.0/kotlin-stdlib-jre8-1.3.0.jar>
    - <https://repo.maven.apache.org/maven2/org/jetbrains/kotlin/kotlin-stdlib-jre8/1.3.0/kotlin-stdlib-jre8-1.3.0.pom>
    - <https://repo.maven.apache.org/maven2/org/jetbrains/kotlin/kotlin-stdlib-jre8/1.3.0/kotlin-stdlib-jre8-1.3.0.jar>
    - <https://maven.fabric.io/public/org/jetbrains/kotlin/kotlin-stdlib-jre8/1.3.0/kotlin-stdlib-jre8-1.3.0.pom>
    - <https://maven.fabric.io/public/org/jetbrains/kotlin/kotlin-stdlib-jre8/1.3.0/kotlin-stdlib-jre8-1.3.0.jar>
    - <https://appboy.github.io/appboy-android-sdk/sdk/org/jetbrains/kotlin/kotlin-stdlib-jre8/1.3.0/kotlin-stdlib-jre8-1.3.0.pom>
    - <https://appboy.github.io/appboy-android-sdk/sdk/org/jetbrains/kotlin/kotlin-stdlib-jre8/1.3.0/kotlin-stdlib-jre8-1.3.0.jar>
    - <https://jcenter.bintray.com/org/jetbrains/kotlin/kotlin-stdlib-jre8/1.3.0/kotlin-stdlib-jre8-1.3.0.pom>
    - <https://jcenter.bintray.com/org/jetbrains/kotlin/kotlin-stdlib-jre8/1.3.0/kotlin-stdlib-jre8-1.3.0.jar>
  Required by:
      project :myProject > com.android.databinding:compiler:3.1.4
      project :myProject > com.android.databinding:compiler:3.1.4 > com.android.databinding:compilerCommon:3.1.4
g

gildor

10/31/2018, 2:12 AM
Because stdlib-jre is deprecated some time ago and removed in 1.3.0 use stdlib-jdk instead
org.jetbrains.kotlin:kotlin-stdlib-jre8:1.3.0
->
org.jetbrains.kotlin:kotlin-stdlib-jdk8:1.3.0
👍 2
2 Views